Package com.xebialabs.xlrelease.domain.blackout

## Class BlackoutMetadata$

- java.lang.Object
- - com.xebialabs.xlrelease.domain.blackout.BlackoutMetadata$

- All Implemented Interfaces:
    `java.io.Serializable`

      public class BlackoutMetadata$
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static BlackoutMetadata$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BlackoutMetadata$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<BlackoutPeriod>` | `$lessinit$greater$default$1()` |
    `BlackoutMetadata` | `apply​(java.util.List<BlackoutPeriod> periods)` |
    `BlackoutMetadata` | `apply​(scala.collection.immutable.Seq<BlackoutPeriod> periods)` |
    `java.lang.String` | `BLACKOUT()` |
    `BlackoutMetadata` | `empty()` |
    `java.util.Date` | `toStartOfNextMinute​(java.util.Date date)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final BlackoutMetadata$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### BlackoutMetadata$

          public BlackoutMetadata$()

  - ### Method Detail

    - #### $lessinit$greater$default$1

          public java.util.List<BlackoutPeriod> $lessinit$greater$default$1()

    - #### apply

          public BlackoutMetadata apply​(java.util.List<BlackoutPeriod> periods)

    - #### apply

          public BlackoutMetadata apply​(scala.collection.immutable.Seq<BlackoutPeriod> periods)

    - #### empty

          public BlackoutMetadata empty()

    - #### BLACKOUT

          public java.lang.String BLACKOUT()

    - #### toStartOfNextMinute

          public java.util.Date toStartOfNextMinute​(java.util.Date date)